import { CellInfoDescription } from "./CellInfoDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class NumericCellInfoDescription extends CellInfoDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private dp;
    get numericValue(): number;
    set numericValue(a: number);
    private dk;
    get hasDecimalValue(): boolean;
    set hasDecimalValue(a: boolean);
    private dx;
    get formatOverrideRef(): string;
    set formatOverrideRef(a: string);
    private dy;
    get negativePrefix(): string;
    set negativePrefix(a: string);
    private d0;
    get positivePrefix(): string;
    set positivePrefix(a: string);
    private dz;
    get negativeSuffix(): string;
    set negativeSuffix(a: string);
    private d1;
    get positiveSuffix(): string;
    set positiveSuffix(a: string);
    private dr;
    get maxFractionDigits(): number;
    set maxFractionDigits(a: number);
    private ds;
    get minFractionDigits(): number;
    set minFractionDigits(a: number);
    private dt;
    get minIntegerDigits(): number;
    set minIntegerDigits(a: number);
    private dl;
    get showGroupingSeparator(): boolean;
    set showGroupingSeparator(a: boolean);
}
